diff --git a/src/tools/msvc/install.bat b/src/tools/msvc/install.bat
index bed08f1..b84fef0 100644
--- a/src/tools/msvc/install.bat
+++ b/src/tools/msvc/install.bat
@@ -1,10 +1,11 @@
 @echo off
 REM src/tools/msvc/install.bat
 
-if NOT "%1"=="" GOTO RUN_INSTALL
+if NOT [%1]==[] GOTO RUN_INSTALL
 
 echo Invalid command line options.
-echo Usage: "install.bat <path>"
+echo Usage: "install.bat <targetdir> [installtype]"
+echo installtype: all client
 echo.
 REM exit fix for pre-2003 shell especially if used on buildfarm
 if "%XP_EXIT_FIX%" == "yes" exit 1
@@ -20,7 +21,7 @@ CALL bldenv.bat
 del bldenv.bat
 :nobuildenv
 
-perl install.pl "%1" %2
+perl install.pl %1 %2
 
 REM exit fix for pre-2003 shell especially if used on buildfarm
 if "%XP_EXIT_FIX%" == "yes" exit %ERRORLEVEL%
diff --git a/src/tools/msvc/install.pl b/src/tools/msvc/install.pl
index 97e297e..62ef21e 100755
--- a/src/tools/msvc/install.pl
+++ b/src/tools/msvc/install.pl
@@ -15,6 +15,6 @@ Install($target, $insttype);
 sub Usage
 {
 	print "Usage: install.pl <targetdir> [installtype]\n";
-	print "installtype: client\n";
+	print "installtype: all client\n";
 	exit(1);
 }
